package com.ruoyi.ss.storeStaff.service.impl;

import com.ruoyi.ss.storeStaff.domain.StoreStaff;
import com.ruoyi.ss.storeStaff.service.StoreStaffConverter;
import com.ruoyi.ss.user.service.ISmUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author wjh
 * 2024/11/27
 */
@Service
public class StoreStaffConverterImpl implements StoreStaffConverter {

    @Autowired
    private ISmUserService userService;

    @Override
    public StoreStaff toPoByApp(StoreStaff data) {
        if (data == null) {
            return null;
        }
        StoreStaff po = new StoreStaff();
        po.setEmployId(data.getEmployId());
        po.setStoreId(data.getStoreId());
        po.setRole(data.getRole());
        po.setPoint(data.getPoint());
        po.setEnabled(data.getEnabled());
        po.setPermissions(data.getPermissions());
        po.setRemark(data.getRemark());
        return po;
    }
}
